
DBCC FREEPROCCACHE

use Northwind
go

--Order Review
-- Five table join
SELECT Orders.[OrderID], Orders.[OrderDate], Orders.[RequiredDate], Orders.[ShippedDate], Orders.[CustomerID], 
  Customers.[CompanyName], Employees.[LastName], Shippers.[CompanyName] AS [Ship Via], [Order Subtotals].Subtotal, Orders.Freight, 
  [Subtotal]+[Freight] AS Total
FROM Employees INNER JOIN 
(Shippers INNER JOIN 
(Customers INNER JOIN 
([Order Subtotals] -- view with group order details by orderid
 INNER JOIN Orders ON [Order Subtotals].[OrderID] = Orders.[OrderID]) 
 ON Customers.[CustomerID] = Orders.[CustomerID]) 
 ON Shippers.[ShipperID] = Orders.[ShipVia]) 
 ON Employees.[EmployeeID] = Orders.[EmployeeID]
ORDER BY Orders.[OrderID] DESC;

-- Therefore, for CTP1, you can use trace flag 2312 to enable the new CE model.
-- If you want to disable the use of the CE model, you can use trace flag 9481.

--Order Review
-- Five table join
SELECT Orders.[OrderID], Orders.[OrderDate], Orders.[RequiredDate], Orders.[ShippedDate], Orders.[CustomerID], 
  Customers.[CompanyName], Employees.[LastName], Shippers.[CompanyName] AS [Ship Via], [Order Subtotals].Subtotal, Orders.Freight, 
  [Subtotal]+[Freight] AS Total
FROM Employees INNER JOIN 
(Shippers INNER JOIN 
(Customers INNER JOIN 
([Order Subtotals] -- view with group order details by orderid
 INNER JOIN Orders ON [Order Subtotals].[OrderID] = Orders.[OrderID]) 
 ON Customers.[CustomerID] = Orders.[CustomerID]) 
 ON Shippers.[ShipperID] = Orders.[ShipVia]) 
 ON Employees.[EmployeeID] = Orders.[EmployeeID]
ORDER BY Orders.[OrderID] DESC
OPTION (QUERYTRACEON 9481);

 
 
use Northwind2012
go

--Order Review
 
SELECT Orders.[OrderID], Orders.[OrderDate], Orders.[RequiredDate], Orders.[ShippedDate], Orders.[CustomerID], Customers.[CompanyName], Employees.[LastName], Shippers.[CompanyName] AS [Ship Via], [Order Subtotals].Subtotal, Orders.Freight, [Subtotal]+[Freight] AS Total
FROM Employees INNER JOIN (Shippers INNER JOIN (Customers INNER JOIN ([Order Subtotals] INNER JOIN Orders ON [Order Subtotals].[OrderID] = Orders.[OrderID]) ON Customers.[CustomerID] = Orders.[CustomerID]) ON Shippers.[ShipperID] = Orders.[ShipVia]) ON Employees.[EmployeeID] = Orders.[EmployeeID]
ORDER BY Orders.[OrderID] DESC;

-- Therefore, for CTP1, you can use trace flag 2312 to enable the new CE model.
-- If you want to disable the use of the CE model, you can use trace flag 9481.
 
 SELECT Orders.[OrderID], Orders.[OrderDate], Orders.[RequiredDate], Orders.[ShippedDate], Orders.[CustomerID], Customers.[CompanyName], Employees.[LastName], Shippers.[CompanyName] AS [Ship Via], [Order Subtotals].Subtotal, Orders.Freight, [Subtotal]+[Freight] AS Total
FROM Employees INNER JOIN (Shippers INNER JOIN (Customers INNER JOIN ([Order Subtotals] INNER JOIN Orders ON [Order Subtotals].[OrderID] = Orders.[OrderID]) ON Customers.[CustomerID] = Orders.[CustomerID]) ON Shippers.[ShipperID] = Orders.[ShipVia]) ON Employees.[EmployeeID] = Orders.[EmployeeID]
ORDER BY Orders.[OrderID] DESC
OPTION (QUERYTRACEON 2312);
